%global fullhash 45fa969ad76a8909db5d4f41e5d3fa25e656b888
%global shorthash 45fa969

Name: hardinfo
Version: 0.6
Release: 1.20230524git%{shorthash}%{?dist}.inferit.8
Summary: System Profiler and Benchmark

License: GPLv2
URL: http://hardinfo.org/
Source0:  http://download.berlios.de/hardinfo/%{name}-%{version}-%{fullhash}.tar.xz
Source1:  ru.po
Source2:  hardinfo-root.desktop
Source3:  org.freedesktop.pkexec.hardinfo.policy
Patch1: 0001-Remove-annoyng-window-about-loading-of-needed-librar.patch
Patch2: 0002-vendor.ids-Added-MSVSphere-OS.patch
Patch3: 0003-Fix-segfault-when-info-about-block-storage-is-absent.patch
Patch4: 0004-Drop-Vendor.patch

BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	gcc-c++
BuildRequires:	lm_sensors-devel
BuildRequires:	pciutils
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libffi)
BuildRequires:	pkgconfig(libselinux)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libtasn1)
BuildRequires:	pkgconfig(mount)

Requires:  glx-utils
Requires:  pciutils
Requires:  usbutils
Requires:  xrandr

%description
HardInfo can gather information about a system's hardware and operating system,
perform benchmarks, and generate printable reports either in HTML or in plain 
text formats.

%prep
%autosetup -n %{name}-%{version}-%{fullhash} -p1
install -m644 %{SOURCE1} po/

%build
%cmake \
	-DHARDINFO_GTK3=on \
	-DHARDINFO_NOSYNC=1 \
	-DCMAKE_INSTALL_PREFIX=/usr

%cmake_build

%install
%cmake_install

desktop-file-install --vendor="" --delete-original \
	--dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
	${RPM_BUILD_ROOT}%{_datadir}/applications/hardinfo.desktop

install -m644 %{SOURCE2} \
    ${RPM_BUILD_ROOT}%{_datadir}/applications/hardinfo.desktop

install -d -m755 %{buildroot}%{_datadir}/polkit-1/actions
install -m644 %{SOURCE3} \
    %{buildroot}%{_datadir}/polkit-1/actions

%find_lang %{name}

%files -f %{name}.lang
%doc LICENSE
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}*
%{_datadir}/icons/*/*/*/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/polkit-1/actions/org.freedesktop.pkexec.hardinfo.policy

%changelog
* Fri Oct 27 2023 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.6-2.20230524git45fa969.inferit.8
- Drop Vendor from OS info
- Fix site URL

* Fri Oct 13 2023 Alexey Berezhok <aberezhok@msvsphere-os.ru> - 0.6-2.20230524git45fa969.inferit.7
- Fix segfault when info about block storage is absent

* Wed Sep 27 2023 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.6-2.20230524git45fa969.inferit.6
- Leave only superuser desktop file

* Tue Sep 19 2023 Alexey Lyubimov <a.lyubimov@msvsphere-os.ru> - 0.6-2.20230524git45fa969.inferit.5
- Fix Russian name

* Sat Sep 16 2023 Alexey Lyubimov <a.lyubimov@msvsphere-os.ru> - 0.6-2.20230524git45fa969.inferit.4
- Update support url

* Fri Sep 15 2023 Alexey Lyubimov <a.lyubimov@msvsphere-os.ru> - 0.6-2.20230524git45fa969.inferit.3
- vendor.ids: Added MSVSphere OS

* Mon Sep  4 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.6-1.20230524git45fa969.inferit.2
- Added desktop entry to run hardinfo under superuser

* Thu Jul 27 2023 Alexey Berezhok <alexey.berezhok@msvsphere.ru> - 0.6-1.20230524git45fa969.inferit.1
- Remove annoyng window about loading of needed libraries

* Tue Jun  6 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.6-1.20230524git45fa969
- initial build for MSVSphere 9.2

* Fri Jul 15 2016 Wei-Lun Chao <bluebat@member.fsf.org> - 0.5.1
- Rebuilt for Fedora

* Mon Jan 12 2015 Nux <rpm@li.nux.ro> - 0.5.1-5
- build for EL7

* Mon Aug 06 2012 Scott Santos <halocaridina@gmail.com> - 0.5.1-4
- Rebuilt for EL6

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Apr 10 2009 Adel Gadllah <adel.gadllah@gmail.com> 0.5.1-1
- Update to 0.5.1

* Sun Mar 29 2009 Adel Gadllah <adel.gadllah@gmail.com> 0.5c-1
- Update to 0.5c (bugfix release)

* Sat Mar 28 2009 Adel Gadllah <adel.gadllah@gmail.com> 0.5b-1
- New upstream version
- Drop patches

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Oct 04 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.3-8
- Apply the patch

* Sat Oct 04 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.3-7
- Fix build RH #465047

* Fri Jul 04 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.3-6
- Rebuild for new gnutls

* Thu Feb 14 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.3-5
- Rebuild for new libsoup

* Sat Feb 09 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.3-4
- Add libsoup-2.4 patch (RH#430960)

* Tue Jan 29 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.3-3
- Rebuild for new libsoup

* Mon Nov 05 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.3-2
- Use --delete-original for desktopfile installation

* Sun Nov 04 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.3-1
- Update to new upstream version
- Drop obsolete patches

* Wed Sep 05 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-19
- Fix libz location (/lib(64) vs /usr/lib(64))

* Sun Sep 02 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-18
- Fix libz detection RH #274381

* Wed Aug 15 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-17
- Disable debug 

* Wed Aug 15 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-16
- New fix for RH #249794

* Wed Aug 15 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-15
- New fix for RH #249794

* Fri Aug 03 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-14
- Revert patch doesn't work 

* Fri Aug 03 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-13
- Update License tag

* Thu Aug 02 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-12
- Try again to fix RH #249794

* Tue Jul 31 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-11
- Enable debug output

* Mon Jul 30 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-10
- Fix changelog date ....

* Mon Jul 30 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-9
- Try to fix RH #249794 (upstream patch)

* Fri Jul 27 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-8
- Fix build

* Fri Jul 27 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-7
- bump release

* Fri Jul 27 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-6
- Specfile cleanups

* Fri Jul 27 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-5
- Add better sensors fix from upstream

* Thu Jul 26 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-4
- Fix and reenable sensor reading
- Remove zlib requires
- Fix group

* Wed Jul 25 2007 Jesse Keating <jkeating@redhat.com> - 0.4.2.2-3
- Rebuild for RH #249435

* Mon Jul 23 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-2
- In Fedora (human)uids start with 500 not 1000

* Mon Jul 23 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.4.2.2-1
- Initial Build
